[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetImageForCheckBox

Gets the bitmap displayed for a check box at the specified location.

## Declaration

Source position: dbgrids.pas line 471

`protected procedure TCustomDBGrid.GetImageForCheckBox(`
`const aCol: Integer;`
`const aRow: Integer;`
`CheckBoxView: TCheckBoxState;`
`var ImageList: TCustomImageList;`
`var ImageIndex: TImageIndex;`
`var Bitmap: TBitmap`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`CheckBoxView` |  | Check box state for the column.
`ImageList` |  | Images for the check box states.
`ImageIndex` |  | Ordinal position for the image.
`Bitmap` |  | Bitmap for the check box.

## Description

GetImageForCheckBox is an overridden TBitmap function used to get the bitmap displayed for a check box at the specified location in the grid control. GetImageForCheckBox calls the inherited GetImageForCheckBox method using the passed arguments to get the return value. GetImageForCheckBox signals the OnUserCheckboxBitmap event handler when it has been assigned in the control to allow overriding the TBitmap used for the desired TCheckboxState.